{
  lib,
  config,
  ...
}: let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.services.ly;
in {
  options.marleyos.services.ly.enable = mkEnableOption "ly";

  config = mkIf cfg.enable {
    services.displayManager.ly = {
      enable = true;
    };
  };
}
