{
  lib,
  config,
  ...
}: let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.services.sddm;
in {
  options.marleyos.services.sddm.enable = mkEnableOption "sddm";

  config = mkIf cfg.enable {
    services.displayManager.sddm = {
      enable = true;
    };
  };
}
