{
  lib,
  config,
  ...
}: let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.wayland.hyprland;
in {
  options.marleyos.wayland.hyprland.enable = mkEnableOption "hyprland";

  config = mkIf cfg.enable {
    programs.hyprland = {
      enable = true;
      withUWSM = false;
    };
  };
}
